# Copyright (C) 2013, 2014 Freescale Semiconductor

DESCRIPTION = "U-Boot i.MX6 SMARC-FiMX6 platforms"
require  recipes-bsp/u-boot/u-boot.inc

PROVIDES += "u-boot"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263"

PV = "2015.04-smarcfimx6"

SRCREV = "c79b1eea525ef77867f2bfdc4da81851b1d7f014"
SRCBRANCH = "smarc-imx_v2015.04_4.1.15_1.0.0_ga"
SRC_URI = "${EMB_UBOOT_MIRROR};protocol=ssh;branch=${SRCBRANCH}"

PR = "r0+gitr${SRCPV}"

S = "${WORKDIR}/git"

UBOOT_SUFFIX = "imx"

PACKAGE_ARCH = "${MACHINE_ARCH}"
COMPATIBLE_MACHINE = "(mx6|mx6ul|mx7)"
